# Uses of Class
org.eclipse.emf.cdo.etypes.provider.EtypesItemProviderAdapterFactory

Packages that use EtypesItemProviderAdapterFactory
Package
Description
org.eclipse.emf.cdo.etypes.provider.annotation
Provides a base class for supporting the specialization of `AnnotationItemProvider` and `StringToStringMapEntryItemProvider`.

## Uses of EtypesItemProviderAdapterFactory in org.eclipse.emf.cdo.etypes.provider.annotation

Fields in org.eclipse.emf.cdo.etypes.provider.annotation declared as EtypesItemProviderAdapterFactory
Modifier and Type
Field
Description
`protected EtypesItemProviderAdapterFactory`
AnnotationItemProviderAdapterFactory.`etypesItemProviderAdapterFactory`
This keeps track of the Etypes item provider adapter factory that delegates to this adapter factory.
Methods in org.eclipse.emf.cdo.etypes.provider.annotation with parameters of type EtypesItemProviderAdapterFactory
Modifier and Type
Method
Description
`void`
AnnotationItemProviderAdapterFactory.`setParentAdapterFactory(EtypesItemProviderAdapterFactory etypesItemProviderAdapterFactory)`
Sets the Etypes item provider adapter factory that uses this factory.